Subject: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Jun 2022 23:02:19 +0200

Hola,

Luis Felipe <[email-masked]> skribis:

>> Could it be https://issues.guix.gnu.org/55707? At boot time, if you
>> switch to tty12 (by pressing alt-f12) as soon as it’s available, do you
>> see messages that get printed pretty slowly, like 4–5 lines per second?
>
> Maybe? I recorded a video. Image is low quality, but speed is accurate (I changed to tty12 at second 33):
>
> https://luis-felipe.gitlab.io/media/2022/06/guix-system-ab98b51e-boot-TTY12.webm

Oh yes, that’s exactly what I observed on another machine recently.
I’ll trace to investigate further when I can access it.

In the meantime, could you try the following config, which disables
logging on tty12, to see if it boots quicker?  The config changes is
twofold; first, after the ‘use-modules’ form of your OS config, add:

--8<---------------cut here---------------start------------->8---
(define %syslog.conf
  ;; Custom syslog.conf without /dev/tty12 logging.
  (plain-file "custom-syslog.conf"
              (let loop ((lines (string-split (plain-file-content %default-syslog.conf)
                                              #\newline))
                         (result '()))
                (match lines
                  (()
                   (string-join (reverse result) "\n"))
                  ((head . tail)
                   (if (string-contains head "/dev/tty12")
                       (loop tail result)         ;drop this line
                       (loop tail (cons head result))))))))
--8<---------------cut here---------------end--------------->8---

Second, in the ‘services’ field of your config, replace
‘%desktop-services’ with:

--8<---------------cut here---------------start------------->8---
(modify-services %desktop-services
  (syslog-service-type
   _ => (syslog-configuration
         (config-file %syslog.conf))))
--8<---------------cut here---------------end--------------->8---

Dunno if it’s silly, but at least it’ll allow us to check whether it’s
just the framebuffer that’s slowing things down or if it’s something
else.

Thanks for your help!

Ludo’.